{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Find book!</title>
<style>
    table{
        padding:15px;
        text-align:left;
    }
    th{
        text-align: center;
    }
    input{
        width: 50%;
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 2px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
        transition: width .50s ease-in-out;
    }
    input:focus {
        border: 2px solid rgb(79, 28, 218);
        width:80%;
    }
    .container2{
        margin:10px;
        text-align: center;
    }
    .title{
        padding:10px;
    }
    img{
        min-width: 25px;
    }

</style>
{% endblock meta %}

{% block content %}

    <div class ="container2">
        <h1 class ="title">Find your dream books !</h1>
        <input type = "text" id = "findBooks" placeholder="Nama buku..">
        <table id = "tabs" class = "table table-striped">
            
        </table>
    </div>

    <script>
        $("#findBooks").keyup(function(){
            var keyword_from_input = $(this).val();
            var url_fix = "/process-data?q=" + keyword_from_input;
            console.log(url_fix);
            $.ajax({
                url : url_fix,
                success : function(hasil){
                    console.log(hasil);
                    var num = 1;
                    $("#tabs").empty();
                    if(keyword_from_input != ""){
                        $("#tabs").append("<thead><tr><th scope = 'col'>#</th><th scope = 'col'>Title</th><th scope = 'col'>Information</th><th scope = 'col'>Picture</th></tr></thead>");
                    }
                    var item = hasil.items;
                    for(var i = 0; i < item.length; i++){
                        var book = item[i].volumeInfo;
                        var image;
                        var content = "";
                        title_item = book.title;
                        if(book.hasOwnProperty("imageLinks")){
                            if(book.imageLinks.hasOwnProperty("smallThumbnail")){
                                image = book.imageLinks.smallThumbnail;
                            }
                            else if(book.imageLinks.hasOwnProperty("thumbnail")){
                                image = book.imageLinks.thumbnail;
                            }
                        }
                        else image = "/static/img/noimage.png";
                        if(book.hasOwnProperty("authors")){
                            content += "<span>Author</span> : " + book.authors + "<br>";
                        }
                        if(book.hasOwnProperty("categories")){
                            content += "<span>Category</span> : " + book.categories + "<br>";
                        }
                        if(book.hasOwnProperty("description")){
                            content += "<span>Description</span> : " + book.description + "<br>";
                        }       
                        if(content == "") content = "-";
                        
                        $("#tabs").append("<tbody><tr><th scope = 'row'>"+num+"</th><td>"+title_item+"</td><td>"+content+"</td><td><img src ="+image+" alt = 'Responsive img'></td></tr></tbody>");
                        num++;
                    }
                }
            });


        });
    </script>
  
{% endblock content %}